package org.kne.opencl64;
import club.doki7.opencl.CLConstants;
public enum OpenCLMemoryCopyType {
	USE_HOST_PTR(CLConstants. MEM_USE_HOST_PTR),
	ALLOC_HOST_PTR(CLConstants. MEM_ALLOC_HOST_PTR),
	COPY_HOST_PTR(CLConstants. MEM_COPY_HOST_PTR);
	public final long flagValue;
	private OpenCLMemoryCopyType(long flag) {
		this.flagValue=flag;
	}
}
